Next: The MySQL.end process Up: The MySQL.init process Previous: Signature Contents
Subsections

- Errors

### Usage

This process initialises the underlying C API for MySQL. If you have only one `MySQL` process in your application you need not call this function, as it will be called automatically. However, if you plan on having several `MySQL` processes running in parallel, this process should be called and allowed to terminate prior to creating any `MySQL` process, as the underlying C function call is not reentrant. In this case, you should also make sure that the C client API is compiled in thread-safe mode (see the MySQL C API documentation for details on this).

#### Errors

Upon termination, `error` will be set to `TRUE` if any error occured, `FALSE` otherwise.